Method: projects.locations.curations.patch

Update a curation resource in the API hub. The following fields in the curation can be updated:

The updateMask should be used to specify the fields being updated.

HTTP request

PATCH https://apihub.googleapis.com/v1/{curation.name=projects/*/locations/*/curations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
curation.name

string

Identifier. The name of the curation.

Format: projects/{project}/locations/{location}/curations/{curation}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Curation.

Response body

If successful, the response body contains an instance of Curation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.curations.update

For more information, see the IAM documentation.